import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TabV4Component implements AfterViewInit {
    private _element;
    private _renderer;
    set selected(value: boolean);
    testId: string;
    set disabled(value: boolean);
    get nativeElement(): HTMLElement;
    get selected(): boolean;
    constructor(_element: ElementRef, _renderer: Renderer2);
    ngAfterViewInit(): void;
    private setIconAloneClass;
    private toggleSelected;
    private toggleDisabled;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabV4Component, "fusion-tab", never, { "selected": { "alias": "selected"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, {}, never, ["*"], true, never>;
}
